Subject: Re: Bad definition of USE_LIBTOOL in
To: Frederick Bruckman <>
From: Todd Vierling <>
List: tech-pkg
Date: 01/26/2001 15:15:09
On Fri, 26 Jan 2001, Frederick Bruckman wrote:

: > .if make(install-run-depends) || make(fetch-list-recursive) ||
: > make(show-depends-dirs)
: > DEPENDS+=               libtool>=1.3.5nb9:../../devel/libtool
: > .endif

: I don't do it, but notice that the ".if make(...)"'s prevent the
: dependency from being registered at install or package time, so it's
: not so bad.

We have to avoid using ".if make()" in  There are outstanding
complaints as to the ultra-recursion nature of  We need to
eliminate spots where the "target being made" is referenced, so that
changing some of those recursions into dependencies will be possible.


-- Todd Vierling <>  *  Wasabi NetBSD:  Run with it.
-- NetBSD 1.5 now available on CD-ROM  --